_tbb_hash_compare_impl.h File Reference
`#include <string>`
Include dependency graph for _tbb_hash_compare_impl.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | tbb::interface5::internal::hash_compare< Key, Hasher, Key_equality >
struct | tbb::tbb_hash_compare< Key >
| hash_compare that is default argument for concurrent_hash_map More...

## Namespaces

| tbb
| The graph class.
| tbb::interface5
| tbb::interface5::internal

## Functions

template<typename T >
| tbb::interface5::__TBB_DEPRECATED_MSG ("tbb::tbb_hasher is deprecated, use std::hash") inline size_t tbb_hasher(const T &t)
| Hasher functions. More...
template<typename P >
| tbb::interface5::__TBB_DEPRECATED_MSG ("tbb::tbb_hasher is deprecated, use std::hash") inline size_t tbb_hasher(P *ptr)
template<typename E , typename S , typename A >
| tbb::interface5::__TBB_DEPRECATED_MSG ("tbb::tbb_hasher is deprecated, use std::hash") inline size_t tbb_hasher(const std
template<typename F , typename S >
| tbb::interface5::__TBB_DEPRECATED_MSG ("tbb::tbb_hasher is deprecated, use std::hash") inline size_t tbb_hasher(const std
template<typename Key >
class | tbb::__TBB_DEPRECATED_MSG ("tbb::tbb_hash is deprecated, use std::hash") tbb_hash

## Variables

static const size_t | tbb::interface5::internal::hash_multiplier = tbb::internal::select_size_t_constant<2654435769U, 11400714819323198485ULL>::value
| Hash multiplier. More...

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.